#include "ES7P169C.inc"

EXTERN	_main
EXTERN  _isr

APP_ENTRY EQU 0x0800		;用户程序入口地址

_STARTUP	CSEG 0x00	
	AJMP	APP_ENTRY
	NOP
	NOP

ISR_ENTRY1	CSEG 0x08
	push
	NOP
	AJMP	APP_ENTRY+0x08		;jump to the entry of interrupt function

ISR_ENTRY2	CSEG 0x0C
	push
	NOP
	AJMP	APP_ENTRY+0x0C		;jump to the entry of interrupt function
	
ISR_ENTRY3	CSEG 0x18
	push
	NOP
	AJMP	APP_ENTRY+0x18		;jump to the entry of interrupt function
	
ISR_ENTRY4	CSEG 0x24
	push
	NOP
	AJMP	APP_ENTRY+0x24		;jump to the entry of interrupt function

_APP_STARTUP CSEG APP_ENTRY
	;SENGMENTSEL $
	CALL	 _main
	GOTO	APP_ENTRY
END